'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _curry = require('./core/curry2');

var _curry2 = _interopRequireDefault(_curry);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * (a -> Bool) -> [a] -> [[a], [a]]
 */
exports.default = (0, _curry2.default)(function (f, xs) {
  return xs.reduce(function (carry, v) {
    (true === f(v) ? carry[0] : carry[1]).push(v);
    return carry;
  }, [[], []]);
});